# AccountDetailsComponent | CICADA
Documentation for CICADA

### Hierarchy

- AccountDetailsComponent

### Implements

- OnInit

## Index

### Constructors

- constructor

### Properties

- account
- accountAddress
- accountInfoForm
- accountStatus
- accountTypes
- accounts
- accountsType
- area
- areaNames
- areaType
- areaTypes
- bloxbergLink
- categories
- category
- genders
- matcher
- submitted
- tokenSymbol
- transaction
- transactionTablePaginator
- transactionTableSort
- transactions
- transactionsDataSource
- transactionsDefaultPageSize
- transactionsDisplayedColumns
- transactionsPageSizeOptions
- transactionsType
- transactionsTypes
- userDataSource
- userDisplayedColumns
- userTablePaginator
- userTableSort
- usersDefaultPageSize
- usersPageSizeOptions

### Accessors

- accountInfoFormStub

### Methods

- copyAddress
- doTransactionFilter
- doUserFilter
- downloadCsv
- filterAccounts
- filterTransactions
- ngOnInit
- resetPin
- saveInfo
- viewAccount
- viewTransaction

## Constructors

### constructor

- new AccountDetailsComponent(formBuilder: FormBuilder, locationService: LocationService, transactionService: TransactionService, userService: UserService, route: ActivatedRoute, router: Router, tokenService: TokenService, loggingService: LoggingService, blockSyncService: BlockSyncService, cdr: ChangeDetectorRef, snackBar: MatSnackBar): AccountDetailsComponent

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:70

  #### Parameters

  - ##### formBuilder: FormBuilder

  - ##### locationService: LocationService

  - ##### transactionService: TransactionService

  - ##### userService: UserService

  - ##### route: ActivatedRoute

  - ##### router: Router

  - ##### tokenService: TokenService

  - ##### loggingService: LoggingService

  - ##### blockSyncService: BlockSyncService

  - ##### cdr: ChangeDetectorRef

  - ##### snackBar: MatSnackBar

  #### Returns AccountDetailsComponent

## Properties

### account

account: AccountDetails

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:50

### accountAddress

accountAddress: string

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:51

### accountInfoForm

accountInfoForm: FormGroup

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:49

### accountStatus

accountStatus: any

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:52

### accountTypes

accountTypes: string[]

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:61

### accounts

accounts: AccountDetails [] = []

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:53

### accountsType

accountsType: string = 'all'

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:54

### area

area: string

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:69

### areaNames

areaNames: string[]

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:56

### areaType

areaType: string

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:70

### areaTypes

areaTypes: string[]

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:57

### bloxbergLink

bloxbergLink: string

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:66

### categories

categories: string[]

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:55

### category

category: string

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:68

### genders

genders: string[]

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:63

### matcher

matcher: CustomErrorStateMatcher = ...

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:64

### submitted

submitted: boolean = false

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:65

### tokenSymbol

tokenSymbol: string

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:67

### transaction

transaction: any

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:58

### transactionTablePaginator

transactionTablePaginator: MatPaginator

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:39

### transactionTableSort

transactionTableSort: MatSort

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:40

### transactions

transactions: Transaction []

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:59

### transactionsDataSource

transactionsDataSource: MatTableDataSource<any>

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:35

### transactionsDefaultPageSize

transactionsDefaultPageSize: number = 10

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:37

### transactionsDisplayedColumns

transactionsDisplayedColumns: string[] = ...

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:36

### transactionsPageSizeOptions

transactionsPageSizeOptions: number[] = ...

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:38

### transactionsType

transactionsType: string = 'all'

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:60

### transactionsTypes

transactionsTypes: string[]

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:62

### userDataSource

userDataSource: MatTableDataSource<any>

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:42

### userDisplayedColumns

userDisplayedColumns: string[] = ...

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:43

### userTablePaginator

userTablePaginator: MatPaginator

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:46

### userTableSort

userTableSort: MatSort

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:47

### usersDefaultPageSize

usersDefaultPageSize: number = 10

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:44

### usersPageSizeOptions

usersPageSizeOptions: number[] = ...

- Defined in src/app/pages/accounts/account-details/account-details.component.ts:45

## Accessors

### accountInfoFormStub

- get accountInfoFormStub(): any

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:220

  #### Returns any

## Methods

### copyAddress

- copyAddress(): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:287

  #### Returns void

### doTransactionFilter

- doTransactionFilter(value: string): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:202

  #### Parameters

  - ##### value: string

  #### Returns void

### doUserFilter

- doUserFilter(value: string): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:206

  #### Parameters

  - ##### value: string

  #### Returns void

### downloadCsv

- downloadCsv(data: any, filename: string): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:283

  #### Parameters

  - ##### data: any

  - ##### filename: string

  #### Returns void

### filterAccounts

- filterAccounts(): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:245

  #### Returns void

### filterTransactions

- filterTransactions(): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:258

  #### Returns void

### ngOnInit

- ngOnInit(): Promise<void>

- Implementation of OnInit.ngOnInit

  - Defined in src/app/pages/accounts/account-details/account-details.component.ts:92

  #### Returns Promise<void>

### resetPin

- resetPin(): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:271

  #### Returns void

### saveInfo

- saveInfo(): Promise<void>

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:224

  #### Returns Promise<void>

### viewAccount

- viewAccount(account: any): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:214

  #### Parameters

  - ##### account: any

  #### Returns void

### viewTransaction

- viewTransaction(transaction: any): void

- - Defined in src/app/pages/accounts/account-details/account-details.component.ts:210

  #### Parameters

  - ##### transaction: any

  #### Returns void

Generated using TypeDoc